<?php

/**
 * Simple Machines Forum (SMF)
 *
 * @package SMF
 * @author Simple Machines http://www.simplemachines.org
 * @copyright 2011 Simple Machines
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 * @file developed by Dr. Deejay
 * @special thanks to the SMF Customization Team
 *
 * @version 1.0.2
 */

if (!defined('SMF'))
	die('Hacking attempt...');

/**
 * Resize fonts!
*/
function fontButtons()
{
	global $scripturl, $settings, $context;
	/**
	 * Check for available $_GET['size']'s
	*/
	if(isset($_GET['size']))
	{
		/**
		 * Don't have a font that's too big
		*/
		if($_GET['size'] >= 20)
			$_GET['size'] = 20;
		elseif($_GET['size'] <= 8)
			$_GET['size'] = 8;
		/**
		 * Replace the font size
		*/
		echo '
			<style type="text/css">
				body
				{
					font-size: '.(int) $_GET['size'].'px;
				}
			</style>';
	}
	else return;
}
/**
 * Show the buttons
*/
function fontShow()
{
	global $scripturl, $settings, $context;
	// Set our size value
	$size_minus = (isset($_GET['size']) ? (int) $_GET['size'] - 1 : 11);
	$size_minus = max(8,$size_minus);
	$size_plus = (isset($_GET['size']) ? (int) $_GET['size'] + 1 : 13);
	$size_plus = min(20,$size_plus);
	// Drop the old size out of the way
	if (isset($_GET['size']))
		unset ($_GET['size']);
	// put back the rest of the $_GET
	$extra_actions = '';
	foreach($_GET as $act => $section)
		$extra_actions .= ';'.$act.'='.$section;
	/**
	 * Do some html
	*/
		echo '
	<div style="float: right; margin-right: 20px;">
			<a href="'.$scripturl.'?size='.$size_minus.$extra_actions.'"><img src="'.$settings['images_url'].'/collapse.gif" alt="-" /></a>
			<a href="'.$scripturl.'?size='.$size_plus.$extra_actions.'"><img src="'.$settings['images_url'].'/expand.gif" alt="+" /></a>
	</div>
	<br class="clear" />';

}
